import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
// import * as echarts from 'echarts'
import './icons'
// import '@/permission' // permission control

Vue.config.productionTip = false
Vue.use(ElementUI);
// Vue.prototype.$echarts = echarts
import dict from '@/components/Dict'
Vue.use(dict);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
